Bug 1595880 - Use of uninitialized value $3 in concatenation (.) or string at /usr/share/perl5/vendor_perl/App/Licensecheck.pm
Summary: Use of uninitialized value $3 in concatenation (.) or string at /usr/share/pe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: licensecheck
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-27 16:16 UTC by Severin Gehwolf
Modified: 2018-07-30 01:00 UTC (History)
1 user (show)

Fixed In Version: licensecheck-3.0.33-2.fc28 licensecheck-3.0.31-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-24 17:29:40 UTC


Attachments (Terms of Use)
Copyright text which makes licensecheck fail. (4.01 KB, text/plain)
2018-06-27 16:16 UTC, Severin Gehwolf
no flags Details


Links
System ID Priority Status Summary Last Updated
Debian BTS 902639 None None None 2018-06-28 22:22:04 UTC

Description Severin Gehwolf 2018-06-27 16:16:39 UTC
Created attachment 1455079 [details]
Copyright text which makes licensecheck fail.

Description of problem:
When running licensecheck on OpenJDK sources[1] I'm getting this:
Use of uninitialized value $3 in concatenation (.) or string at /usr/share/perl5/vendor_perl/App/Licensecheck.pm line 678, <$fh> line 61.

On that line I see:
$gen_license->( 'apache', $1, $2, "bsd_${3}_clause" );

Changing it to:
$gen_license->( 'apache', $1, $2, $3 ? "bsd_${3}_clause" : "" );

makes it work.

Version-Release number of selected component (if applicable):
$ rpm -q licensecheck
licensecheck-3.0.33-1.fc28.noarch

How reproducible:
100%

Steps to Reproduce:
1. $ licensecheck dynalink.operation.copyright.txt (see attachment)

Actual results:
Use of uninitialized value $3 in concatenation (.) or string at /usr/share/perl5/vendor_perl/App/Licensecheck.pm line 678, <$fh> line 61.

Expected results:
Do not fail.

Additional info:
This makes licensecheck on JDK 11 fail. See this file:
http://hg.openjdk.java.net/jdk/jdk/file/cf09f0b56efd/src/jdk.dynalink/share/classes/jdk/dynalink/Operation.java#l1

Comment 1 Sandro Mani 2018-06-28 22:22:05 UTC
Thanks, taken upstream [1].

[1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=902639

Comment 2 Fedora Update System 2018-07-20 10:16:32 UTC
licensecheck-3.0.33-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f33e3d603

Comment 3 Fedora Update System 2018-07-20 10:16:40 UTC
licensecheck-3.0.31-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-15eeb823ff

Comment 4 Fedora Update System 2018-07-20 15:45:29 UTC
licensecheck-3.0.31-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-15eeb823ff

Comment 5 Fedora Update System 2018-07-20 18:32:27 UTC
licensecheck-3.0.33-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5f33e3d603

Comment 6 Fedora Update System 2018-07-24 17:29:40 UTC
licensecheck-3.0.33-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-07-30 01:00:52 UTC
licensecheck-3.0.31-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.